{ lib, buildGoModule }:

buildGoModule rec {
  pname = "alps";
  version = "0.0.1";

  src = fetchGit {
    url = "https://git.sr.ht/~migadu/alps";
    rev = "5cef0aaff2b8b6ee3e00b566123517e241d8cfb8";
  };

  vendorSha256 = "0hdfh6zdrjq97yj60dfsncl02cp8rpx4d4cqhk3zj0bhmpmrzddi";

  subPackages = [ "cmd/alps" ];

  postInstall = ''
    mkdir -p $out/share/alps
    cp -r $src/themes $out/share/alps/
  '';

  meta = with lib; {
    description = "A simple and extensible webmail.";
    homepage = "https://git.sr.ht/~migadu/alps";
  };
}
